window.onload = (e) => {
    let council = {
        "Nana Dr. S. K. B. Asante": {
            name: "Nana Dr. S. K. B. Asante",
            image: "Nana-S.-K.-B.-Asante.jpg",
            info: `Nana Susubribi Krobea Asante, Paramount Chief of Asante
            Asokore, Ghana, known in private life as Samuel Kwadwo Boaten Asante, is currently
            the Chairman of the Advisory Council of GIALS. He was educated at Achimota School,
            obtained his Bachelor of Laws (LL.B Hons) Degree from Nottingham University in 1956,
            and an LL.M. from the University of London; Kings College and the Institute of
            Advanced Legal Studies, in 1958. He was admitted as a Solicitor (Hons) of the
            Supreme Court of England, and to the Ghana Bar in 1960. Nana Professor S.K.B.
            Asante also read for and obtained a Doctor of Juridical Science (JSD) degree from Yale
            Law School, USA in 1965. He was a pioneer lecturer in law at the Department/Faculty
            of Law, University of Ghana, Legon (1961-65) and Acting Head of the Law Department
            in 1962. He also lectured at the faculty of Law, Leeds University (UK) in 1965-66. Nana
            Dr S.K.B. Asante has extensive experience in international transactional law and is an
            international legal consultant, specialising in investment law, corporation law and
            transfer of technology, law of arbitration and governance. In 1991-92, Nana was the
            Chairman of the Committee of Experts that drafted proposals for the 1992 Constitution
            of Ghana. Nana is a Fellow of the World Academy of Arts and Sciences, Hon. Fellow of
            the Society of Advanced Legal Studies, U.K, Fellow and past president of the Ghana
            Academy of Arts and Sciences, and Life Member of Clare Hall, Cambridge University.`,
            details: `<strong>His other career highlights include the following</strong>
            <ul class="list-group list-group-flush">
                <li class="list-group-item ps-0">
                    <i class="fas fa-angle-right fa-fw"></i>
                    <em>Attorney in the Legal Department of the World Bank,
                        Washington DC, (1966-69)</em>
                </li>
                <li class="list-group-item ps-0">
                    <i class="fas fa-angle-right fa-fw"></i>
                    <em>Adjunct Professor of Law at Howard University,
                        Washington D.C (1967-69)</em>
                </li>
                <li class="list-group-item ps-0">
                    <i class="fas fa-angle-right fa-fw"></i>
                    <em>Solicitor General and Deputy Attorney-General of Ghana
                        (1969-77)</em>
                </li>
                <li class="list-group-item ps-0">
                    <i class="fas fa-angle-right fa-fw"></i>
                    <em>Distinguished Visiting Professor of Law and Business,
                        Temple University Law School,
                        Philadelphia, U.S.A. (1976)</em>
                </li>
                <li class="list-group-item ps-0">
                    <i class="fas fa-angle-right fa-fw"></i>
                    <em>Chief Legal Advisor at the UN Centre on Transnational
                        Corporations, (UNCTC), New York,
                        (1977-83)</em>
                </li>
                <li class="list-group-item ps-0">
                    <i class="fas fa-angle-right fa-fw"></i>
                    <em>Visiting Fellow of Clare Hall and Visiting Member of the
                        Law Faculty, Cambridge University
                        (1978-79); Director UNCTC (1983-92)</em>
                </li>
                <li class="list-group-item ps-0">
                    <i class="fas fa-angle-right fa-fw"></i>
                    <em>Visiting Professor of Law, Faculty of Law, University of
                        Ghana (1991)</em>
                </li>
                <li class="list-group-item ps-0">
                    <i class="fas fa-angle-right fa-fw"></i>
                    <em>Director-in-charge, Division of Natural Resources,
                        Energy, Environment Science and
                        Technology at the UN, New York, (1993); and</em>
                </li>
                <li class="list-group-item ps-0">
                    <i class="fas fa-angle-right fa-fw"></i>
                    <em>Chairman, Public Utility Regulatory Commission of Ghana
                        (1997-2002)</em>
                </li>
            </ul>`
        },
        "Professor Dr. Edmund Kwaw": {
            name: "Professor Dr. Edmund Kwaw",
            image: "Professor Edmund Kwaw.JPG",
            info: `Professor Dr. Edmund Kwaw is an Associate Professor of Law, and Head of Department at the
            Faculty of Law of Wisconsin International University College, and the Acting Executive Director of the
            GIALS. He was educated at Achimota School, and holds a Bachelor of Arts, with Honours (B.A.
            Hons) degree from the University of Ghana Legon, a Bachelor of Laws with Honours (LL.B. Hons)
            degree from the University of Leeds, and a Master of Laws (LL.M) degree from Queens University,
            Kingston, Ontario, Canada. Professor Kwaw also obtained his doctorate degree in law, the Doctor of
            Jurisprudence (D.Jur) degree, from Osgoode Hall Law School of York University, Toronto, Ontario,
            Canada.
            <p></p>
            <p>Professor Kwaw has held numerous teaching and administrative positions at tertiary institutions,
            nationally and internationally, including the UPSA Law School, of the University of Professional
            Studies, Accra, where he was Head of the Department of Private Law; the Faculty of Law,
            Governance and International Relations at Kings University College, where he was Dean as well as
            Vice-President of the University; the Faculty of Law of the University of Cape Coast, the Faculty of
            Law of Queens University, Ontario, Canada; Osgoode Hall Law School of York University, Toronto;
            the Faculty of Law of the University of Windsor, and the Seneca College of Applied Arts and
            Technology, in Toronto, Canada.</p>
            <p>He is an external examiner for law programmes at several universities; nationally and internationally,
            including the Bachelor of Laws (LLB) Programme of Mountcrest University College, Ghana, and the
            Doctoral Degree (LL.B/PhD) Programmes at the Universities of Johannesburg and Pretoria in South
            Africa. He has provided consultancy services to governmental bodies, including training Members of
            the Parliament of Ghana on International Loan Agreements and Financing Arrangements. He is the
            author of several academic textbooks, and numerous peer-reviewed journal papers in national and
            international journals. Professor Kwaw is also an internationally acclaimed author of fiction, and a
            third degree black belt in Shotokan Karate.</p>`,
            details: ``
        },
        "Professor Jules Winterton": {
            name: "Professor Jules Winterton",
            image: "Jules Winterton.png",
            info: `Professor Jules Winterton, is the Adviser on Strategic
            Development of GIALS. Currently, he is a Senior Associate Research Fellow at the
            Institute of Advanced Legal Studies (IALS)/School of Advanced Study, University of
            London. Jules Winterton was Director and Librarian of the Institute of Advanced Legal
            Studies (IALS)/School of Advanced Study, University of London from 2013-18. He
            became Librarian of the IALS in 1991 and was Acting Director from 2003-04 and 2012-
            13. Before working at the IALS, he worked at the Institute of Classical Studies and at
            Queen Mary College, University of London.
            <p></p>
            <p>He was President of the British and Irish Association of Law Librarians (BIALL) in
            1994/95 and President of the International Association of Law Libraries (IALL) from
            2004-2010, responsible for international conferences in Florence, Mumbai, St.
            Petersburg, Puerto Rico, Istanbul and The Hague. He received the Wildy BIALL Law
            Librarian of the Year Award in 2010. He is an honorary Life Member of both
            associations. In addition, he has been a visiting research fellow at the Max Planck
            Institute for Comparative and International Private Law in Hamburg and at the University
            of Florence. He was a Trustee of the British and Irish Legal Information Institute, which
            is based at the IALS, from its start in the UK in 2000 until 2018, a Director of the LLMC
            Digital consortium in the US on two occasions, most recently 2015-2018, and is a
            member of the Board of the Ghana Institute of Advanced Legal Studies. He is
            Convenor of the Libraries Committee of the Society of Legal Scholars which is
            responsible for A Statement of Standards for University Law Library Provision in the
            United Kingdom.</p>`,
            details: ``
        },
        "Professor Kofi Oteng Kuffour": {
            name: "Professor Kofi Oteng Kuffour",
            image: "Professor Kofi Oteng Kuffour.jpg",
            info: `Professor Kofi Oteng Kuffour is a Professor of Law;
            with a specialisation in African Legal Studies, at the Department of Law and Criminology
            at the University of East London. In addition to his current position at the University of
            East London, Professor Kuffour has held numerous visiting academic positions during
            his career, including a Visiting Lectureship at the Institute of African Legal Studies,
            School of Advanced Study at the University of London. 
            <p></p>
            <p>Professor Kofi Oteng Kufuor is a
            product of the Kwame Nkrumah University of Science and Technology, where heobtained his B.A. Hons (Law and History) degree; the London School of Economics,
            where he obtained his Master of Laws (LL.M) degree, and the University of Warwick,
            where he obtained his Doctor of Philosophy (Ph.D). He is the author of numerous peer
            reviewed journal papers and textbooks covering diverse topics such as the GATT/WTO,
            ECOWAS, Human Rights, and African Unification Law. He is also the Co-Editor of
            internationally acclaimed peer review journals, including the African Journal of
            International and Comparative Law.</p>`,
            details: ``
        },
        "Professor Francis Botchway": {
            name: "Professor Francis Botchway",
            image: "Professor Francis Botchway.jpg",
            info: `Professor Botchway is the Sir William Chair in
            Alternative Dispute Resolution at Qatar University, having been appointed to the
            position in recognition of his work as a preeminent academic in the field of International
            Economic Law and Dispute Resolution. Professor Botchway holds four law degrees
            from four leading universities, including a Bachelor of Laws (LL.B) from the University of
            Ghana, a Master of Laws, from Dalhousie Law School, Canada; a Master of Laws
            (LL.M) from Harvard Law School, and a Doctor of Philosophy (Ph.D) from the University
            of Manchester.`,
            details: `<strong>During his academic career, Professor Botchway has held numerous
            academic positions at several renowned universities including the underlisted positions.</strong>
            <ul class="list-group list-group-flush">
                <li class="list-group-item ps-0">
                    <i class="fas fa-angle-right fa-fw"></i>
                    <em>Lecturer in Administrative Law at the Ghana Institute of Management and Public
                    Administration (1993)</em>
                </li>
                <li class="list-group-item ps-0">
                    <i class="fas fa-angle-right fa-fw"></i>
                    <em>Researcher at International Education Centre, St Mary’s University, Canada
                    (1995-1996)</em>
                </li>
                <li class="list-group-item ps-0">
                    <i class="fas fa-angle-right fa-fw"></i>
                    <em>Consultant at Conservation International, Washington DC (1996-1997)</em>
                </li>
                <li class="list-group-item ps-0">
                    <i class="fas fa-angle-right fa-fw"></i>
                    <em>Visiting Assistant Professor, University of Puerto Rico Law School (1997, 2000)</em>
                </li>
                <li class="list-group-item ps-0">
                    <i class="fas fa-angle-right fa-fw"></i>
                    <em>Part-time Lecturer in Tort and Jurisprudence, University of Manchester (1999-
                        2000)</em>
                </li>
                <li class="list-group-item ps-0">
                    <i class="fas fa-angle-right fa-fw"></i>
                    <em>Assistant Professor; Adjunct Professor, University of Warwick Law School (2000-
                        2008)</em>
                </li>
                <li class="list-group-item ps-0">
                    <i class="fas fa-angle-right fa-fw"></i>
                    <em>Adjunct Professor, Leuven University (2005-2010)</em>
                </li>
                <li class="list-group-item ps-0">
                    <i class="fas fa-angle-right fa-fw"></i>
                    <em>Reader in Law, University of Hull Law School (2006-2010)</em>
                </li>
                <li class="list-group-item ps-0">
                    <i class="fas fa-angle-right fa-fw"></i>
                    <em>Adjunct Professor, KNUST (2009-2015)</em>
                </li>
                <li class="list-group-item ps-0">
                    <i class="fas fa-angle-right fa-fw"></i>
                    <em>Associate Dean (Research & Graduate Studies) at Qatar University (2011-2016)</em>
                </li>
                <li class="list-group-item ps-0">
                    <i class="fas fa-angle-right fa-fw"></i>
                    <em>Sir William Blair Chair in Alternative Dispute Resolution, Qatar University (2016-
                        present)</em>
                </li>
                <li class="list-group-item ps-0">
                    <i class="fas fa-angle-right fa-fw"></i>
                    <em>Head of Contracts & Compliance at Research Office of Qatar University (2018-
                        2021)</em>
                </li>
            </ul>
            <p>In addition to his academic career, Professor Botchway has served as a consultant to
            some of the leading international law firms, including Ince & Co, Jones Day and Crowell
            & Moring. Professor Botchway is a world acclaimed arbitrator, and sits as an arbitrator
            on international commercial disputes and is listed on the ICSID roll of arbitrators, as well
            as the Beijing Arbitration Commission (BAC/BIAC). He has published widely on
            international investment and economic law, environmental law, natural resource law andarbitration, in numerous peer reviewed journals as well as texts. He is the Editor-in-
            Chief of the Global Journal of Comparative Law.</p>`
        },
        "Justice Stephen Alan Brobbey" : {
            name: "Justice Stephen Alan Brobbey",
            image: "Justice Stephen Alan Brobbey.jpg",
            info: `Justie Stephen Alan Brobbey is a retired justice of the
            Supreme Court of Ghana. He was educated at Opoku Ware School, from where he
            gained admission to the University of Ghana, where he obtained his Bachelor of Laws
            degree (LLB) in 1966. Justice Brobbey was called to the Ghana Bar in 1967. Prior to
            leaving Ghana for postgraduate studies, he worked as a private legal practitioner and
            then joined the Council for Law Reporting. Upon his return to Ghana in 1972, he was
            appointed a grade one district magistrate, a position he held until 1979 when he was
            appointed a circuit court judge. 
            <p></p>
            <p>In 1981 he was seconded to the Zimbabwean Judiciary
            as a legal consultant under the auspices of the Commonwealth Trust Fund for Technical
            Co-operation, and upon his return to Ghana in 1986, he was appointed a high court
            judge. He was appointed a Justice of the Court of Appeal in 1991, and in 2002 he was
            appointed a Justice of the Supreme Court of Ghana. After a two-year stint as Chief
            Justice of the Gambia from 2004 to 2006, he resumed his position as a justice of the
            Supreme court of Ghana until his retirement in 2012.</p>`,
            details: `<strong>In addition to his career as a jurist
            in Ghana, Justice Brobbey has held noteworthy national and international positions,
            including the following:</strong>
            <ul class="list-group list-group-flush">
                <li class="list-group-item ps-0">
                    <i class="fas fa-angle-right fa-fw"></i>
                    <em>Member of the Consultative Assembly and Chairman of the Legal and Drafting</em>
                </li>
                <li class="list-group-item ps-0">
                    <i class="fas fa-angle-right fa-fw"></i>
                    <em>Chief justice of the Gambia (2004-2006)</em>
                </li>
                <li class="list-group-item ps-0">
                    <i class="fas fa-angle-right fa-fw"></i>
                    <em>Chair of the Automation Committee of the Ghana Judicial Service, a committee
                    whose core mandate is to mechanize courts throughout the country.</em>
                </li>
                <li class="list-group-item ps-0">
                    <i class="fas fa-angle-right fa-fw"></i>
                    <em>Chair of the board of governors of the Economic and Organised Crime Office -
                    EOCO (2018)</em>
                </li>
                <li class="list-group-item ps-0">
                    <i class="fas fa-angle-right fa-fw"></i>
                    <em>Chair of the Commission of Inquiry into the creation of new regions (2018).</em>
                </li>
            </ul>
            <p>Justice Brobbey has written and lectured widely on different subjects at national and
            international conferences, including Conferences of the International Bar Association.
            He is the expert on Chieftaincy in Ghana, and his textbook titled the Law of Chieftaincy
            in Ghana, is considered to be the leading textbook on the subject.</p>`
        },
        "Justice Professor Samuel Date-Bah": {
            name: "Justice Professor Samuel Date-Bah",
            image: "Justice Professor Samuel Date-Bah.jpg",
            info: `Justice Professor Samuel Date-Bah, is a retired
            justice of the Supreme Court of Ghana. He was educated at Achimota School, from
            where he gained admission into the Faculty of Law of the University of Ghana, Legon, in
            1963, and graduated with an LL.B (First Class Honours) in 1965. Following his call to
            the Ghana Bar in 1966, Justice Professor Date-Bah attended the Yale Law School
            where he obtained his Master of Laws (LL.M) degree in 1967, and then his Ph.D from
            the London School of Economics of the University of London, in 1969. From 1969 to
            1988, Professor Justice Date-Bah held numerous academic positions, at several
            internationally renowned tertiary institutions, including Senior Lecturer and then
            Associate Professor of Law at the University of Ghana; Associate Professor of
            Commercial Law at the University of Nairobi, and Professor and Head of the
            Department of Private Law at the University of Calabar.
            <p></p>
            <p>During this period, he also held
            visiting academic positions at Lincoln College, Oxford University (1972), Yale Law
            School (1976), and the University of Fribourg, Switzerland (1998). He is a Fellow of the
            Ghana Academy of Arts and Sciences.</p>`,
            details: `<strong>In addition to the above academic credentials,
            Professor Justice Date-Bah also has noteworthy public and international achievements
            including the following:</strong>
            <ul class="list-group list-group-flush">
                <li class="list-group-item ps-0">
                    <i class="fas fa-angle-right fa-fw"></i>
                    <em>Member of the Ghana Law Reform Commission (1970s)</em>
                </li>
                <li class="list-group-item ps-0">
                    <i class="fas fa-angle-right fa-fw"></i>
                    <em>Member of International Academy of Commercial and Consumer Law (1996 to
                        date).</em>
                </li>
                <li class="list-group-item ps-0">
                    <i class="fas fa-angle-right fa-fw"></i>
                    <em>Representative of the Government of Ghana to the United Nations Commission
                    on International Trade Law (1970s).</em>
                </li>
                <li class="list-group-item ps-0">
                    <i class="fas fa-angle-right fa-fw"></i>
                    <em>Special Adviser (Legal) at the Commonwealth Secretariat, London responsible
                    for providing effective legal advisory and negotiating services to the developing
                    member states of the Commonwealth (1984-2003).</em>
                </li>
                <li class="list-group-item ps-0">
                    <i class="fas fa-angle-right fa-fw"></i>
                    <em>Chair of the United National Commission on International Trade Law (1978)
                    Justice of the Supreme Court of Ghana (2008 to 2013).</em>
                </li>
            </ul>
            <p>Professor Justice Date-Bah played an instrumental role as leader of a multidisciplinary
            Commonwealth Secretariat team which assisted the first independent Government of
            Namibia to negotiate a joint-venture agreement with De Beers, the global conglomerate,
            that has been the bedrock of the Namibian economy since then; as well as several
            petroleum exploration agreements with international petroleum companies on behalf of
            the government.</p>`
        }
    }
    var councilModal = document.getElementById('councilModal')

    councilModal.addEventListener('show.bs.modal', function (event) {
        // Button that triggered the modal
        var button = event.relatedTarget
        // Extract info from data-bs-* attributes
        var name = button.getAttribute('data-bs-member')
        let member = council[name]
        // If necessary, you could initiate an AJAX request here
        // and then do the updating in a callback.
        //
        // Select modal content to be updated.
        var modalTitle = councilModal.querySelector('.modal-title')
        let modalBody = councilModal.querySelector('.modal-body')
        let img = modalBody.querySelector('img')
        let info = modalBody.querySelector('.info')
        let details = modalBody.querySelector('.details')
        
        //Update selected modal content
        modalTitle.textContent = member.name
        img.src = "public/images/profiles/"+member.image
        img.alt = member.name
        info.innerHTML = member.info
        details.innerHTML = member.details
        //modalBodyInput.value = member
    })
}